Skip site navigation (1)Skip section navigation (2)
Date:      18 Apr 2004 13:52:39 -0000
From:      Thomas-Martin Seck <tmseck@netcologne.de>
To:        FreeBSD-gnats-submit@FreeBSD.org
Subject:    ports/65723: [Maintainer] www/squid: new vendor patch, misc cleanups
Message-ID:  <20040418135239.42690.qmail@laurel.tmseck.homedns.org>
Resent-Message-ID: <200404181400.i3IE0Z16056200@freefall.freebsd.org>

next in thread | raw e-mail | index | archive | help

>Number:         65723
>Category:       ports
>Synopsis:       [Maintainer] www/squid: new vendor patch, misc cleanups
>Confidential:   no
>Severity:       non-critical
>Priority:       high
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          maintainer-update
>Submitter-Id:   current-users
>Arrival-Date:   Sun Apr 18 07:00:35 PDT 2004
>Closed-Date:
>Last-Modified:
>Originator:     Thomas-Martin Seck
>Release:        FreeBSD 4.9-STABLE i386
>Organization:
a private site in Germany
>Environment:
FreeBSD ports repository as of 18 April 2004.

	
>Description:
- integrate a vendor patch to fix a segfault that occured when submitting
  a blank username in digest authentication (squid bug #954) and
- bump PORTREVISION
- follow Duane Wessel's squid book and use "storage scheme" instead of
  "store type"
- remove trailing whitespace
- no longer hardcode the path of the nologin binary in pkg-install and
  re-wrap pw(8)'s arguments for better readability
	
>How-To-Repeat:
	
>Fix:
Apply this patch:

Index: distinfo
===================================================================
--- distinfo	(.../branches/freebsd)	(revision 34)
+++ distinfo	(.../trunk)	(revision 34)
@@ -18,3 +18,5 @@
 SIZE (squid2.5/squid-2.5.STABLE5-ntlm_warning.patch) = 900
 MD5 (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = e3640442452f77762df5b20380aeb334
 SIZE (squid2.5/squid-2.5.STABLE5-rfc1035NameUnpack.patch) = 685
+MD5 (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 9eec94b95e52f26aece4568af4a2e5ae
+SIZE (squid2.5/squid-2.5.STABLE5-digest_blank.patch) = 4598
Index: pkg-install
===================================================================
--- pkg-install	(.../branches/freebsd)	(revision 34)
+++ pkg-install	(.../trunk)	(revision 34)
@@ -7,6 +7,11 @@
 pkgname=$1
 squid_base=${PKG_PREFIX:-/usr/local}/squid
 squid_confdir=${PKG_PREFIX:-/usr/local}/etc/squid
+if [ -x /usr/sbin/nologin ]; then
+	nologin=/usr/sbin/nologin
+else
+	nologin=/sbin/nologin
+fi
 : ${squid_user:=squid}
 : ${squid_group:=squid}
 squid_gid=100
@@ -42,9 +47,11 @@
 
 	if ! pw usershow ${squid_user} -q >/dev/null ; then
 		echo "There is no account '${squid_user}' on this system, so I will try to create it:"
-		if ! pw useradd ${squid_user} -u ${squid_uid} -q \
-	  	    -c "squid caching-proxy pseudo user" -g ${squid_group} \
-		    -d "${squid_base}" -s "/sbin/nologin" -h - ; then
+		if ! pw useradd -q -n ${squid_user} \
+		    -u ${squid_uid} -g ${squid_group} \
+	  	    -c "squid caching-proxy pseudo user" \
+		    -d "${squid_base}" -s "${nologin}" \
+		    -h - ; then
 			echo "Failed to create user '${squid_user}'!" >&2
 			echo "Please create it manually." >&2
 			exit 1
Index: Makefile
===================================================================
--- Makefile	(.../branches/freebsd)	(revision 34)
+++ Makefile	(.../trunk)	(revision 34)
@@ -29,7 +29,7 @@
 
 PORTNAME=	squid
 PORTVERSION=	2.5.5
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	www
 MASTER_SITES=	\
 		ftp://ftp.squid-cache.org/pub/%SUBDIR%/ \
@@ -50,7 +50,8 @@
 		squid-2.5.STABLE5-CONNECT_timeout.patch \
 		squid-2.5.STABLE5-cache_swap_log.patch \
 		squid-2.5.STABLE5-ntlm_warning.patch \
-		squid-2.5.STABLE5-rfc1035NameUnpack.patch
+		squid-2.5.STABLE5-rfc1035NameUnpack.patch \
+		squid-2.5.STABLE5-digest_blank.patch
 PATCH_DIST_STRIP=	-p1
 
 MAINTAINER=	tmseck@netcologne.de
@@ -90,8 +91,8 @@
 		SQUID_ARP_ACL "Enable ACLs based on ethernet address" off \
 		SQUID_PF "Enable transp. proxy support using PF" off \
 		SQUID_FOLLOW_XFF "Follow X-Forwarded-For headers" off \
-		SQUID_AUFS "Enable the aufs store type" off \
-		SQUID_COSS "Enable the COSS store type" off \
+		SQUID_AUFS "Enable the aufs storage scheme" off \
+		SQUID_COSS "Enable the COSS storage scheme" off \
 		SQUID_STACKTRACES "Create backtraces on fatal errors" off
 
 PLIST_FILES=	etc/rc.d/squid.sh etc/squid/mib.txt etc/squid/mime.conf.default \
@@ -125,21 +126,21 @@
 			--enable-external-acl-helpers="${external_acl}" \
 			--enable-ntlm-auth-helpers="SMB winbind"
 
-# Selection of store types:
+# Selection of storage schemes:
 
-store_types=	ufs diskd null
+storage_schemes=	ufs diskd null
 .if defined(WITH_SQUID_AUFS)
-store_types+=	aufs
+storage_schemes+=	aufs
 # Nil aufs threads is default, set any other value via SQUID_CONFIGURE_ARGS
 CONFIGURE_ARGS+=	--enable-async-io \
 			--with-pthreads
 CFLAGS+=	${PTHREAD_CFLAGS}
 .endif
 .if defined(WITH_SQUID_COSS)
-store_types+=	coss
+storage_schemes+=	coss
 CONFIGURE_ARGS+=	--with-aio
 .endif
-CONFIGURE_ARGS+=	--enable-storeio="${store_types}"
+CONFIGURE_ARGS+=	--enable-storeio="${storage_schemes}"
 
 # Other options set via 'make config':
 
@@ -156,7 +157,7 @@
 # we need to .include bsd.openssl.mk manually here because USE_OPENSSL only
 # works when it is defined before bsd.port{.pre}.mk is .included and this is
 # not possible when using OPTIONS
-.include "${PORTSDIR}/Mk/bsd.openssl.mk" 
+.include "${PORTSDIR}/Mk/bsd.openssl.mk"
 CONFIGURE_ARGS+=	--enable-ssl \
 			--with-openssl="${OPENSSLBASE}"
 CFLAGS+=	-I${OPENSSLINC}

	


>Release-Note:
>Audit-Trail:
>Unformatted:



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20040418135239.42690.qmail>